**** wage selection for the OP 2008 paper ***

cd H:\Giovanni\MyPapers\Peri_Ottaviano_aggregate\REDUX_2008\empirics\selection
capture log close
#delimit;
clear;


*** This is the more inclusive wage sample includes self-employed and students, 
excludes people with no/unreported wage income;

set memory 2g;
set matsize 400;
use "H:\ipums_data\state_data\ipums_60";

* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork2==0; 
** eliminate people who do not have or report invalid wage income;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;

***redefine topcode;
replace incwage=25000*1.5 if incwage==25000;

* foreign-born/including US citizens born abroad;
generate byte foreign =(bpld>=15000);
replace foreign=0 if bpld==90011 | bpld==90021;

**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) 
+ 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 
44.5*(hrswork2==6) + 54*(hrswork2==7) + 70*(hrswork2==8) ;

generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 
	48.5*(wkswork2==5) + 51*(wkswork2==6) ;

*** define wages;
gen yearly=incwage*5.725;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;


* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=1960;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_60,replace;


**1970;

use "H:\ipums_data\state_data\ipums_70";

* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork2==0; 
*eliminate people not in the civilian labor force;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;


***redefine topcode;
replace incwage=50000*1.5 if incwage==50000;

* foreign-born/including US citizens born abroad;
generate byte foreign=(citizen==2 | citizen==3);

**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=7.5*(hrswork2==1) + 22*(hrswork2==2) 
+ 32*(hrswork2==3) + 37*(hrswork2==4) + 40*(hrswork2==5) + 
44.5*(hrswork2==6) + 54*(hrswork2==7) + 70*(hrswork2==8) ;

generate weeks=6.5*(wkswork2==1) + 20*(wkswork2==2) + 33*(wkswork2==3) + 43.5*(wkswork2==4) + 
	48.5*(wkswork2==5) + 51*(wkswork2==6) ;

*** define wages;
gen yearly=incwage*4.54;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;


* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=1970;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_70,replace;


****1980;
use "H:\ipums_data\state_data\ipums_80";
* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork1==0; 
** eliminate people who do not have or report invalid wage income;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;


***redefine topcode;
replace incwage=75000*1.5 if incwage==75000;

* foreign-born/including US citizens born abroad;
generate byte foreign=(citizen==2 | citizen==3);


**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=uhrswork;
generate weeks=wkswork1;

*** define wages;
gen yearly=incwage*2.314;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;


* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=1980;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_80,replace;



*** 1990;
use "H:\ipums_data\state_data\ipums_90";
* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork1==0; 
** eliminate people who do not have or report invalid wage income;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;


* foreign-born/including US citizens born abroad;
generate byte foreign=(citizen==2 | citizen==3);

**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=uhrswork;
generate weeks=wkswork1;

*** define wages;
gen yearly=incwage*1.344;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;


* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=1990;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_90,replace;


**** 2000;
use "H:\ipums_data\state_data\ipums_00";
* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork1==0; 
** eliminate people who do not have or report invalid wage income;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;

* foreign-born/including US citizens born abroad;
generate byte foreign=(citizen==2 | citizen==3);

**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=uhrswork;
generate weeks=wkswork1;

*** define wages;
gen yearly=incwage*1;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;


* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=2000;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_00,replace;



**** 2006;
use "H:\ipums_data\state_data\ipums_06";
* eliminate people in group quarters ;
drop if gq ==0 | gq==3 |gq==4 ; 
*select people in working age;
drop if age<18;
*select people who worked a positive amount of weeks;
drop if wkswork1==0; 
** eliminate people who do not have or report invalid wage income;
drop if incwage==0 | incwage==999999;
** eliminate self-employed
keep if classwkd>=20 & classwkd<=28;

* foreign-born/including US citizens born abroad;
generate byte foreign=(citizen==2 | citizen==3);

**male dummy;
gen byte male=(sex==1);

*define edu and exp codes;
generate byte edu=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate experience=age-17 if edu==1;
replace experience=age-19 if edu==2;
replace experience=age-21 if edu==3;
replace experience=age-23 if edu==4;
drop if experience<1 | experience>40;

generate exp=1*(experience>=1 & experience<=5) + 2*(experience>=6 & experience<=10) + 
3*(experience>=11 & experience<=15) + 4*(experience>=16 & experience<=20)
+5*(experience>=21 & experience<=25) + 6*(experience>=26 & experience<=30) 
+ 7*(experience>=31 & experience<=35) + 8*(experience>=36 & experience<=40);

** define hours and weeks worked ***;
generate hours=uhrswork;
generate weeks=wkswork1;

*** define wages;
gen yearly=incwage*0.853;
gen weekly=yearly/weeks;
gen hourly=weekly/hours;

* hours worked 4 groups;
gen howo=perwt*hours*weeks/2000;
gen howo_ma_us=howo*male*(1-foreign);
gen howo_ma_for=howo*male*(foreign);
gen howo_fe_us=howo*(1-male)*(1-foreign);
gen howo_fe_for=howo*(1-male)*(foreign);

**weekly wages scaled by hours;
gen weekly_bill=weekly*perwt*hours*weeks/2000;
gen weekly_bill_ma_us=weekly_bill*male*(1-foreign);
gen weekly_bill_ma_for=weekly_bill*male*(foreign);
gen weekly_bill_fe_us=weekly_bill*(1-male)*(1-foreign);
gen weekly_bill_fe_for=weekly_bill*(1-male)*(foreign);

**hourly wages scaled by hours;
gen hourly_bill=hourly*perwt*hours*weeks/2000;
gen hourly_bill_ma_us=hourly_bill*male*(1-foreign);
gen hourly_bill_ma_for=hourly_bill*male*(foreign);
gen hourly_bill_fe_us=hourly_bill*(1-male)*(1-foreign);
gen hourly_bill_fe_for=hourly_bill*(1-male)*(foreign);

keep  edu exp howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for;

sort edu exp;
collapse (sum)  howo_ma_us howo_ma_for howo_fe_us howo_fe_for
weekly_bill_ma_us weekly_bill_ma_for weekly_bill_fe_us weekly_bill_fe_for
hourly_bill_ma_us hourly_bill_ma_for hourly_bill_fe_us hourly_bill_fe_for, by(edu exp);

gen year=2006;

** average hour-weighted weekly wage in a cell;
gen weekly_ma_us=weekly_bill_ma_us/howo_ma_us;
gen weekly_ma_for=weekly_bill_ma_for/howo_ma_for;
gen weekly_fe_us=weekly_bill_fe_us/howo_fe_us;
gen weekly_fe_for=weekly_bill_fe_for/howo_fe_for; 

** average hour-weighted hourly wage in a cell;
gen hourly_ma_us=hourly_bill_ma_us/howo_ma_us;
gen hourly_ma_for=hourly_bill_ma_for/howo_ma_for;
gen hourly_fe_us=hourly_bill_fe_us/howo_fe_us;
gen hourly_fe_for=hourly_bill_fe_for/howo_fe_for;

keep edu exp year weekly_ma_us weekly_ma_for weekly_fe_us weekly_fe_for
hourly_ma_us hourly_ma_for hourly_fe_us hourly_fe_for;
save wage_groups_06,replace;

*POOL DATA ACROSS YEARS;
use wage_groups_60.dta, clear;
append using wage_groups_70.dta;
append using wage_groups_80.dta;
append using wage_groups_90.dta;
append using wage_groups_00.dta;
append using wage_groups_06.dta;

save supply_wage_60_06_specification_1, replace;
for any 60 70 80 90 00 06 : erase wage_groups_X.dta;
