
/**** this file extract the hours worked and employment sample **/

cd H:\Giovanni\MyPapers\Peri_Ottaviano_aggregate\REDUX_2008_2010\empirics_revision_winter_2010\extraction
clear

set memory 2g
set matsize 400

**** 2008;
use "H:\ipums_data\state_data\ipums_08"

* eliminate people in group quarters 
drop if gq ==0 | gq==3 |gq==4 

*select people in working age
drop if age<17

** following BGH;
*** do not need to select the older, as they are cut by experience limit;

*select people who worked a positive amount of weeks;
drop if wkswork2==0
drop if incwage==0

* foreign-born/including US citizens born abroad
generate byte foreign=(citizen==2 | citizen==3)
gen edu_group=1 /** 0-8 years **/
replace edu_group=2 if educ99>=6 & educ99<=9 /**9-11 **/
replace edu_group=3 if educ99==10 /** 12, high school graduates **/
replace edu_group=4 if educ99>=11 & educ99<=12 /** some college  **/
replace edu_group=5 if educ99==15 /**college graduates **/
replace edu_group=6 if educ99>=16 & educ99<=17/** amaster and prof degree **/
replace edu_group=7 if educ99==18 /* doctorate */

gen immi=foreign*perwt
gen native=(1-foreign)*perwt
keep immi native edu_group
sort edu_group
collapse (sum) immi native, by(edu_group)


